import "Turbine.UI.Lotro"

OptionWindow = class(Turbine.UI.Control);

function OptionWindow:Constructor(settings)
    Turbine.UI.Control.Constructor(self);

	self.settings = settings;
	self:SetPosition( 200, 200 );
	self:SetSize( 270, 400 );
	self:SetVisible(true);

	self:PlaceControls(self);
end

function OptionWindow:GetOptionControl()
	local control = Turbine.UI.Control();
	control:SetSize( 270, 400 );
	self:PlaceControls(control);
	self:SetVisible(true);
	return control;
end

function OptionWindow:PlaceControls(parent)
	-- Show morale percent
	self.showCB = Turbine.UI.Lotro.CheckBox();
	self.showCB:SetParent(parent);
	self.showCB:SetText(" Show panel");
	self.showCB:SetPosition( 20, 40 );
	self.showCB:SetSize( 230, 25 );
	self.showCB:SetChecked(targetPMoraleWindow.settings.show);
	self.showCB.CheckedChanged = function (sender, args) targetPMoraleWindow:show(self.showCB:IsChecked()) ; end

	-- Show shrinked number
	self.showShrinkNumCB = Turbine.UI.Lotro.CheckBox();
	self.showShrinkNumCB:SetParent(parent);
	self.showShrinkNumCB:SetText(" Show shrinked number");
	self.showShrinkNumCB:SetPosition( 20, 70 );
	self.showShrinkNumCB:SetSize( 230, 25 );
	self.showShrinkNumCB:SetChecked(targetPMoraleWindow.settings.shrinkNum);
	self.showShrinkNumCB.CheckedChanged = function (sender, args) targetPMoraleWindow:shrinkNum(self.showShrinkNumCB:IsChecked()) ; end

	-- Show actual morale
	self.showAMCB = Turbine.UI.Lotro.CheckBox();
	self.showAMCB:SetParent(parent);
	self.showAMCB:SetText(" Show actual morale");
	self.showAMCB:SetPosition( 20, 110 );
	self.showAMCB:SetSize( 230, 25 );
	self.showAMCB:SetChecked(targetPMoraleWindow.settings.showAM);
	self.showAMCB.CheckedChanged = function (sender, args) targetPMoraleWindow:setAM(self.showAMCB:IsChecked()) ; end

	-- Show max morale
	self.showAMMCB = Turbine.UI.Lotro.CheckBox();
	self.showAMMCB:SetParent(parent);
	self.showAMMCB:SetText(" Show max morale");
	self.showAMMCB:SetPosition( 20, 140);
	self.showAMMCB:SetSize( 230, 25 );
	self.showAMMCB:SetChecked(targetPMoraleWindow.settings.showAMM);
	self.showAMMCB.CheckedChanged = function (sender, args) targetPMoraleWindow:setAMM(self.showAMMCB:IsChecked()) ; end

	-- Show morale percent
	self.showPMCB = Turbine.UI.Lotro.CheckBox();
	self.showPMCB:SetParent(parent);
	self.showPMCB:SetText(" Show percent morale");
	self.showPMCB:SetPosition( 20, 170);
	self.showPMCB:SetSize( 230, 25 );
	self.showPMCB:SetChecked(targetPMoraleWindow.settings.showPM);
	self.showPMCB.CheckedChanged = function (sender, args) targetPMoraleWindow:setPM(self.showPMCB:IsChecked()) ; end

	-- Show power bar
	self.showPowerCB = Turbine.UI.Lotro.CheckBox();
	self.showPowerCB:SetParent(parent);
	self.showPowerCB:SetText(" Show power bar");
	self.showPowerCB:SetPosition( 20, 210 );
	self.showPowerCB:SetSize( 230, 25 );
	self.showPowerCB:SetChecked(targetPMoraleWindow.settings.showPower);
	self.showPowerCB.CheckedChanged = function (sender, args) targetPMoraleWindow:showPower(self.showPowerCB:IsChecked()) ; end

	-- Show actual power
	self.showAPCB = Turbine.UI.Lotro.CheckBox();
	self.showAPCB:SetParent(parent);
	self.showAPCB:SetText(" Show actual power");
	self.showAPCB:SetPosition( 20, 240 );
	self.showAPCB:SetSize( 230, 25 );
	self.showAPCB:SetChecked(targetPMoraleWindow.settings.showAP);
	self.showAPCB.CheckedChanged = function (sender, args) targetPMoraleWindow:setAP(self.showAPCB:IsChecked()) ; end

	-- Show max power
	self.showAMPCB = Turbine.UI.Lotro.CheckBox();
	self.showAMPCB:SetParent(parent);
	self.showAMPCB:SetText(" Show max pwoer");
	self.showAMPCB:SetPosition( 20, 270);
	self.showAMPCB:SetSize( 230, 25 );
	self.showAMPCB:SetChecked(targetPMoraleWindow.settings.showAMP);
	self.showAMPCB.CheckedChanged = function (sender, args) targetPMoraleWindow:setAMP(self.showAMPCB:IsChecked()) ; end

	-- Show morale percent
	self.showPPCB = Turbine.UI.Lotro.CheckBox();
	self.showPPCB:SetParent(parent);
	self.showPPCB:SetText(" Show percent power");
	self.showPPCB:SetPosition( 20, 300);
	self.showPPCB:SetSize( 230, 25 );
	self.showPPCB:SetChecked(targetPMoraleWindow.settings.showPP);
	self.showPPCB.CheckedChanged = function (sender, args) targetPMoraleWindow:setPP(self.showPPCB:IsChecked()) ; end
end

function OptionWindow:Show()
	self:SetVisible(true);
end

function OptionWindow:ColorListBoxIndex(sender)
	for i = 1, sender:GetItemCount() do
		local listItem = sender:GetItem(i);
		if (i == sender:GetSelectedIndex()) then
			listItem:SetBackColor( Turbine.UI.Color( 1, 0.4, 0.4, 0.4 ) );
		else
			listItem:SetBackColor( Turbine.UI.Color( 1, 0.3, 0.3, 0.3 ) );
		end
	end
end

function OptionWindow:EffectWindowOnlyVisibleInCombatChanged()
--	self.settings:SetEffectWindowOnlyVisibleInCombat);
end
